<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
  xmlns:ui="http://java.sun.com/jsf/facelets"
  xmlns:f="http://java.sun.com/jsf/core"
  xmlns:h="http://java.sun.com/jsf/html"
  xmlns:p="http://primefaces.org/ui"
  template="/WEB-INF/templates/menu_template.xhtml">

  <ui:define name="tituloPagina">#{msgUsuarios.bcUsuarioCambiarClave}</ui:define>

  <ui:define name="cuerpoPagina">
    <h:form id="form">
      <p:breadCrumb>
        <p:menuitem value="#{msgUsuarios.bcInicio}"
          url="${request.contextPath}/" />
        <p:menuitem value="#{msgUsuarios.bcUsuario}" url="#" />
        <p:menuitem value="#{msgUsuarios.bcUsuarioCambiarClave}"
          url="${request.contextPath}/usuarios/crear.faces" />
      </p:breadCrumb>

      <p:growl id="messages" showDetail="true" showSummary="true"
        for="msgGrowl" escape="false" />

      <p:panelGrid id="panel" style="width: 80%;">
        <f:facet name="header">
          <p:row>
            <p:column colspan="2">
              <p:outputLabel>#{msgUsuarios.bcUsuarioCambiarClave}</p:outputLabel>
            </p:column>
          </p:row>
        </f:facet>

        <p:row>
          <p:column style="width: 20%;">
            <h:outputLabel for="claveActual" value="#{msgUsuarios.claveActual}" />
          </p:column>

          <p:column style="width: 80%;">
            <p:password id="claveActual" value="#{beanUsuario.claveActual}"
              required="true" style="width: 50%; line-height: 20px;"
              requiredMessage="#{msgUsuarios.claveRequerido}" toggleMask="true"/>
            <p:message for="claveActual" style="width: 40%;" />

          </p:column>

        </p:row>
        
        <p:row>
          <p:column style="width: 20%;">
            <h:outputLabel for="clave" value="#{msgUsuarios.clave}" />
          </p:column>

          <p:column style="width: 80%;">
            <p:password id="clave" value="#{beanUsuario.objUsuario.clave}"
              required="true" style="width: 50%; line-height: 20px;"
              requiredMessage="#{msgUsuarios.claveRequerido}" toggleMask="true"
              feedback="true" match="confirmClave" />
            <p:message for="clave" style="width: 40%;" />

          </p:column>

        </p:row>

        <p:row>
          <p:column style="width: 20%;">
            <h:outputLabel for="confirmClave"
              value="#{msgUsuarios.confirmClave}" />
          </p:column>

          <p:column style="width: 80%;">
            <p:password id="confirmClave" required="true"
              style="width: 50%; line-height: 20px;"
              requiredMessage="#{msgUsuarios.claveRequerido}" toggleMask="true"
              feedback="true" />
            <p:message for="confirmClave" style="width: 40%;" />
          </p:column>

        </p:row>

        <f:facet name="footer">

          <p:row>
            <p:column style="width: 20%;">
            </p:column>

            <p:column style="width: 80%;">
              <p:commandButton value="#{msgUsuarios.btnActualizarClave}" ajax="false"
                update="panel messages" action="#{beanUsuario.btnActualizarClave()}" />
            </p:column>
          </p:row>

        </f:facet>

      </p:panelGrid>

    </h:form>

  </ui:define>

</ui:composition>